### Hierarchy

- OfferSearch

## Index

### Constructors

- constructor

### Properties

- id
- offerId
- searchRequestId
- state

## Constructors

### constructor

- new OfferSearch(searchRequestId?: number, offerId?: number): OfferSearch

- - Defined in repository/models/OfferSearch.ts:6

  #### Parameters

  - ##### Default value searchRequestId: number = 0

  - ##### Default value offerId: number = 0

  #### Returns OfferSearch

## Properties

### id

id: number = 0

- Defined in repository/models/OfferSearch.ts:3

### offerId

offerId: number = 0

- Defined in repository/models/OfferSearch.ts:5

### searchRequestId

searchRequestId: number = 0

- Defined in repository/models/OfferSearch.ts:4

### state

state: OfferResultAction = OfferResultAction.NONE

- Defined in repository/models/OfferSearch.ts:6

Generated using TypeDoc